Gerris Installation on Ubuntu 8.04

Asked by aossama on 2010-03-11

I tried to install Gerris flow solver on Ubuntu 9.10, but due to dependecies problems, I installed Ubuntu 8.04 to Install Gerris Flow Solver.
I followed the steps written in this link : http://gfs.sourceforge.net/wiki/index.php/Ubuntu/Debian_installation .
But when I type : " sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com \
    3f0894c35cea6c4c0179392da015287d24698aa9
 "
to get the key, I get this message in the terminal :
  "
     Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --recv-keys --keyserver keyserver.ubuntu.com 3f0894c35cea6c4c0179392da015287d24698aa9
gpg: requesting key 24698AA9 from hkp server keyserver.ubuntu.com
gpgkeys: HTTP fetch error 7: couldn't connect to host
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0

  "

I tried to do this steps many times but I got the same error. So I ignored this step and completed the installation steps, when I try to run the program I get this error:

"
libibverbs: Fatal: couldn't read uverbs ABI version.
--------------------------------------------------------------------------
[0,0,0]: OpenIB on host ahmedghanem-laptop was unable to find any HCAs.
Another transport will be used instead, although this may result in
lower performance.
--------------------------------------------------------------------------
gerris: using 2D libgfs version 1.3.2 (100130-183422)
  compiled with flags: -g -O2 -g -Wall -O2
  MPI: yes
  pkg-config: yes
  m4 and gawk: no
Copyright (C) 2001-2009 NIWA.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 "

I dont understand what does this error mean, and I can't run Gerris.

Any help or suggestions.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu yelp Edit question
Assignee:
No assignee Edit question
Last query:
2010-03-11
Last reply:
2010-03-11
arochester (arochester) said : #1

Tip: If you have a wheel mouse or 3 button mouse you do not need to type commands into the Terminal.

Highlight the command written on the page.

Move your cursor anywhere in the Terminal and press the wheel or middle button.

Automatic Copy and paste!

 No spelling mistakes! No Typos! No other errors!

-----------------------------------------------------------------

From the link you give I can import 1 key

In the first instruction, unless you are a wizz and need the source code, you do not need line two.

I have "successfully" installed it from the instructions. GfsView has appeared in my menu. I don't need it! Now, how do I get rid of it?...

aossama (ahmed-ossama-ghanem) said : #2

I uninstalled Gerris, and started it all over again. When I do the first instructions, and I ignored the second line, I got this error msg:

"
W: GPG error: http://ppa.launchpad.net hardy Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A015287D24698AA9

 "

I ignored this error msg and completed the installation, for the next instruction I got this error:

"
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --recv-keys --keyserver keyserver.ubuntu.com 3f0894c35cea6c4c0179392da015287d24698aa9
gpg: requesting key 24698AA9 from hkp server keyserver.ubuntu.com
gpgkeys: HTTP fetch error 7: couldn't connect to host
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0

"
Also when I installed Gerris, the previous installation, I wanted to be sure that it is installed, I checked in the Synaptic Package Manager and i found Gerris, Gfsview , gerris-snapshot installed. Also GfsView appeared in my menu.

I opened the terminal and typed :

"
gerris 2D -V
 "
 to run the program, I got the error:

"
libibverbs: Fatal: couldn't read uverbs ABI version.
--------------------------------------------------------------------------
[0,0,0]: OpenIB on host ahmedghanem-laptop was unable to find any HCAs.
Another transport will be used instead, although this may result in
lower performance.
--------------------------------------------------------------------------
gerris: using 2D libgfs version 1.3.2 (100130-183422)
  compiled with flags: -g -O2 -g -Wall -O2
  MPI: yes
  pkg-config: yes
  m4 and gawk: no
Copyright (C) 2001-2009 NIWA.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 "

arochester (arochester) said : #3

...Strange, when I looked in Synaptic Gerris was not installed and when I tried to install it said that it was attempting to overwrite.

When I checked in Synaptic...Gerris is available from repository...gb.archive.ubuntu.com/universe

I'm using Jaunty

Can you help with this problem?

Provide an answer of your own, or ask aossama for more information if necessary.

To post a message you must log in.